loci.formats.in

## Class FlexReader.ResHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - loci.common.xml.BaseHandler
    - - loci.formats.in.FlexReader.ResHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Enclosing class:
    FlexReader

      public class FlexReader.ResHandler
      extends loci.common.xml.BaseHandler

  SAX handler for parsing XML from .res files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class loci.common.xml.BaseHandler

      `resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResHandler

          public ResHandler()

  - ### Method Detail

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

Copyright © 2026 Open Microscopy Environment